### Hierarchy

- BitmapFilter
  - ColorMatrixFilter

## Index

### Constructors

- constructor

### Properties

- matrix

### Methods

- clone

## Constructors

### constructor

- new ColorMatrixFilter(matrix?: Array<number>): ColorMatrixFilter

- Overrides BitmapFilter.constructor

  - Defined in lib/openfl/filters/ColorMatrixFilter.d.ts:10

  #### Parameters

  - ##### Optional matrix: Array<number>

  #### Returns ColorMatrixFilter

## Properties

### matrix

matrix: Array<number>

- Defined in lib/openfl/filters/ColorMatrixFilter.d.ts:10

## Methods

### clone

- clone(): BitmapFilter

- Inherited from BitmapFilter.clone

  - Defined in lib/openfl/filters/BitmapFilter.d.ts:27

  Returns a BitmapFilter object that is an exact copy of the original BitmapFilter object.

  #### Returns BitmapFilter

  A BitmapFilter object.

Generated using TypeDoc